## org.eclipse.emf.importer.ui
Class EMFProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.importer.ui.EMFModelWizard
              org.eclipse.emf.importer.ui.EMFProjectWizard

All Implemented Interfaces:
  IWizard, INewWizard, IWorkbenchWizard

    public class EMFProjectWizard

extends EMFModelWizard

Since:
  2.1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.importer.ui.EMFModelWizard
`EMFModelWizard.NewGenModelFileCreationPage, EMFModelWizard.SelectionPage`

Field Summary
`protected IPath` `projectLocation`
`protected IPath` `projectPath`

Fields inherited from class org.eclipse.emf.importer.ui.EMFModelWizard
`defaultDescriptorID, defaultPath, genModelContainerPath, genModelFileName, modelFile, reloadFile, selection, selectionPage, workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`EMFProjectWizard()`

Method Summary
`void` `addPages()`
`protected void` `adjustModelImporterWizard(IModelImporterWizard modelImporterWizard, ModelImporterDescriptor modelImporterDescriptor)`
`protected ImageDescriptor` `getDefaultImageDescriptor()`
`protected java.util.List<ModelImporterDescriptor>` `getModelImporterDescriptors()`

Methods inherited from class org.eclipse.emf.importer.ui.EMFModelWizard
`addSelectionPage, canFinish, computeSuggestedDescriptor, dispose, getDefaultGenModelFileName, getDefaultModelImporterDescriptorID, getDefaultPath, init, init, isValidNewValue, performFinish, setDefaultModelImporterDescriptorID, setDefaultPath`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### projectLocation

    protected IPath projectLocation

### projectPath

    protected IPath projectPath

Constructor Detail

### EMFProjectWizard

    public EMFProjectWizard()

Method Detail

### getDefaultImageDescriptor

    protected ImageDescriptor getDefaultImageDescriptor()

  Overrides:
    `getDefaultImageDescriptor` in class `EMFModelWizard`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `EMFModelWizard`

### getModelImporterDescriptors

    protected java.util.List<ModelImporterDescriptor> getModelImporterDescriptors()

  Overrides:
    `getModelImporterDescriptors` in class `EMFModelWizard`

### adjustModelImporterWizard

    protected void adjustModelImporterWizard(IModelImporterWizard modelImporterWizard,
                                             ModelImporterDescriptor modelImporterDescriptor)

  Overrides:
    `adjustModelImporterWizard` in class `EMFModelWizard`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.